org.apache.tomcat.util.http.parser

## Class AcceptEncoding

- java.lang.Object
- - org.apache.tomcat.util.http.parser.AcceptEncoding

-     public class AcceptEncoding
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AcceptEncoding(String encoding, double quality)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEncoding()`
    `double` | `getQuality()`
    `static List<AcceptEncoding>` | `parse(StringReader input)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AcceptEncoding

          protected AcceptEncoding(String encoding,
                        double quality)

  - ### Method Detail

    - #### getEncoding

          public String getEncoding()

    - #### getQuality

          public double getQuality()

    - #### parse

          public static List<AcceptEncoding> parse(StringReader input)
                                            throws IOException

      Throws:
        `IOException`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.